#ifndef CRC32_H
#define CRC32_H

#include <string>

typedef unsigned char byte;

#define MAX_BUFFER_SIZE	4096

class CRC32
{
public:
	int FileCRC32(std::string fileName, unsigned long &crc32);
	int ArrayCRC32(char * data, unsigned long size, unsigned long &crc32);

protected:
	inline void CalcCrc32(const byte data, unsigned long &crc32);

	static unsigned long CRC32Table[256];
};

#endif
