/***************************************************************************
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef IOCTL_H
#define IOCTL_H

#include <sys/ioctl.h>
#include <sys/fcntl.h>
#include <errno.h>

#include <stdio.h>
#include <stdlib.h>
#include <string.h>	// memset
#include <linux/cdrom.h>

typedef int drive_handle;

#ifdef __cplusplus
extern "C" {

drive_handle 	open_drive(char * device_file);
int 			close_drive(drive_handle hHandle);
int 			send_cmd(drive_handle hHandle, unsigned char *cmd, unsigned char *buf, size_t send, size_t recv);

};
#endif

#endif
